Package org.eclipse.birt.report.engine.api.script.eventadapter

# Class MasterPageEventAdapter

java.lang.Object
org.eclipse.birt.report.engine.api.script.eventadapter.MasterPageEventAdapter

All Implemented Interfaces:
  `IMasterPageEventHandler`

public class MasterPageEventAdapter extends Object implements IMasterPageEventHandler

## Constructor Summary

Constructors
Constructor
Description
`MasterPageEventAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onPageEnd(IPageInstance page, IReportContext reportContext)`
Handle the onPageEnd event
`void`
`onPageStart(IPageInstance page, IReportContext reportContext)`
Handle the onPageStart event

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MasterPageEventAdapter

public MasterPageEventAdapter()

## Method Details

### onPageStart

public void onPageStart(IPageInstance page, IReportContext reportContext) throws ScriptException
Description copied from interface: `IMasterPageEventHandler`
Handle the onPageStart event

Specified by:
  `onPageStart` in interface `IMasterPageEventHandler`
Throws:
  `ScriptException`

### onPageEnd

public void onPageEnd(IPageInstance page, IReportContext reportContext) throws ScriptException
Description copied from interface: `IMasterPageEventHandler`
Handle the onPageEnd event

Specified by:
  `onPageEnd` in interface `IMasterPageEventHandler`
Throws:
  `ScriptException`